local require = GLOBAL.require
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local STRINGS = GLOBAL.STRINGS
local ACTIONS = GLOBAL.ACTIONS
local TECH = GLOBAL.TECH

PrefabFiles = {
	"ks",
        "fs",
        "isword",
        "lsword",
 "xsword",
"lj",

}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/ks.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/ks.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/ks.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ks.xml" ),

    Asset( "IMAGE", "bigportraits/ks.tex" ),
    Asset( "ATLAS", "bigportraits/ks.xml" ),
    
    Asset( "IMAGE", "images/map_icons/ks.tex" ),
    Asset( "ATLAS", "images/map_icons/ks.xml" ),
    	
    Asset( "IMAGE", "images/avatars/avatar_ks.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ks.xml" ),

    Asset("IMAGE", "images/inventoryimages/fs.tex"),
    Asset("ATLAS", "images/inventoryimages/fs.xml"),

    Asset("IMAGE", "images/inventoryimages/isword.tex"),
    Asset("ATLAS", "images/inventoryimages/isword.xml"),

    Asset("IMAGE", "images/inventoryimages/lsword.tex"),
    Asset("ATLAS", "images/inventoryimages/lsword.xml"),

    Asset("IMAGE", "images/inventoryimages/xsword.tex"),
    Asset("ATLAS", "images/inventoryimages/xsword.xml"),

Asset("ATLAS", "images/inventoryimages/lj.xml"),
	Asset("IMAGE", "images/inventoryimages/lj.tex"),

}

GLOBAL.STRINGS.NAMES.LJ = "Bubble gum"
GLOBAL.STRINGS.RECIPE_DESC.LJ = "Private tailor-made"

GLOBAL.STRINGS.NAMES.FS = "Flying Sworo"
GLOBAL.STRINGS.RECIPE_DESC.FS = "Do not underestimate it"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FS = {"My lovely knife" }

GLOBAL.STRINGS.NAMES.ISWORD = "IceSword"
GLOBAL.STRINGS.RECIPE_DESC.ISWORD = "An  ice-cold sword"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.ISWORD = {"My lovely knife" }

STRINGS.NAMES.LSWORD = "lightningsword"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.LSWORD = "My lovely knife"
STRINGS.RECIPE_DESC.LSWORD = "A lightning sword!"

STRINGS.NAMES.XSWORD = "Xsword"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.XSWORD = "My knife"
STRINGS.RECIPE_DESC.XSWORD = "Good use"

GLOBAL.STRINGS.CHARACTER_TITLES.ks = "Kirishima"
GLOBAL.STRINGS.CHARACTER_NAMES.ks = "Kirishima"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.ks = "*Like killing \n*Good at using sword\n*Use Ninjutsu"
GLOBAL.STRINGS.CHARACTER_QUOTES.ks = "\"ALL I need is kill\""
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "ks")
function AddMap(inst)
    local minimap = inst.entity:AddMiniMapEntity()
    minimap:SetIcon( inst.prefab .. ".tex" )
end
AddPrefabPostInit("fs", AddMap)
AddMinimapAtlas("images/inventoryimages/fs.xml")
AddPrefabPostInit("isword", AddMap)
AddMinimapAtlas("images/inventoryimages/isword.xml")
AddPrefabPostInit("lsword", AddMap)
AddMinimapAtlas("images/inventoryimages/lsword.xml")

AddPrefabPostInit("xsword", AddMap)
AddMinimapAtlas("images/inventoryimages/xsword.xml")


AddPrefabPostInit("lj", AddMap)
AddMinimapAtlas("images/inventoryimages/lj.xml")

AddMinimapAtlas("images/map_icons/ks.xml")
AddModCharacter("ks")

